Bug 1015037 - engine-cleanup after manual db remove exits with a non-helpful message
engine-cleanup after manual db remove exits with a non-helpful message
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Yedidyah Bar David
sefi litmanovich
integration
:
Depends On:
Blocks: 1078860
  Show dependency treegraph
 
Reported: 2013-10-03 06:59 EDT by Yedidyah Bar David
Modified: 2014-03-20 08:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1078860 (view as bug list)
Environment:
Last Closed: 2013-11-25 06:46:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19927 None None None Never

  None (edit)
Description Yedidyah Bar David 2013-10-03 06:59:44 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. engine-setup
2. service ovirt-engine stop
3. 'drop database engine' in psql
4. engine-cleanup

Actual results:

engine-cleanup emits:
[ ERROR ] Failed to execute stage 'Setup validation': 'NoneType' object is not iterable


Expected results:

A proper error message

Additional info:
Comment 1 Sandro Bonazzola 2013-10-21 10:17:34 EDT
Included in 3.3.1 beta
Comment 2 sefi litmanovich 2013-10-30 12:25:03 EDT
Verified on rhevm 3.3 is20.

error message:
[WARNING] Cannot connect to database using existing credentials: engine@localhost:5432
Comment 3 Sandro Bonazzola 2013-11-25 06:46:39 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.